#!/bin/sh
#
# source: http://cyberelk.net/tim/data/system-config-printer/1.2/system-config-printer-1.2.5.tar.xz
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------ Set Some Variables

soft='system-config-printer'
softversion='1.2.5'
packageversion='66.2'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.xz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.txz
rm -rf $dest

#------------------ Set correct permissions

cd $src
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  --mandir=/usr/man \
  --with-desktop-vendor=zenwalk

make
make install DESTDIR=$dest

find $dest | xargs file | grep -e "shared object" -e "executable" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

find $dest/usr/man -type f -exec gzip -9 {} \;

rm -f $dest/usr/share/applications/*.desktop
cat << EOF > $dest/usr/share/applications/system-config-printer.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Printing
Name[ar]=الطباعة
Name[as]=মুদ্ৰণ কৰা কাৰ্য্য
Name[bg]=Печатане
Name[bn]=প্রিন্ট করা হচ্ছে
Name[bn_IN]=প্রিন্ট ব্যবস্থা
Name[bs]=Ispisivanje
Name[ca]=Impressió
Name[cs]=Tisk
Name[cy]=Yn argraffu
Name[da]=Udskrift
Name[de]=Drucken
Name[el]=Εκτύπωση
Name[en_GB]=Printing
Name[es]=Imprimiendo
Name[et]=Trükkimine
Name[fa]=در حال چاپ
Name[fi]=Tulostus
Name[fr]=Impression
Name[gu]=છાપન
Name[he]=הדפסה
Name[hi]=छपाई कर रहा है
Name[hr]=Ispisivanje
Name[hu]=Nyomtató
Name[is]=Prenta
Name[it]=Stampa
Name[ja]=印刷
Name[kn]=ಮುದ್ರಣ
Name[ko]=인쇄
Name[lv]=Drukāšana
Name[mai]=छापि रहल अछि
Name[mk]=Печатам
Name[ml]=പ്രിന്‍റ് ചെയ്യുന്നു
Name[mr]=मुद्रण
Name[ms]=Mencetak
Name[nb]=Skrivere
Name[nl]=Afdrukken
Name[nn]=Skriv ut
Name[or]=ମୁଦ୍ରଣ କରୁଅଛି
Name[pa]=ਛਾਪਣਾ
Name[pl]=Drukowanie
Name[pt]=Impressão
Name[pt_BR]=Impressão
Name[ro]=Tipărire
Name[ru]=Печать
Name[si]=මුද්‍රණය කරමින්
Name[sk]=Tlač
Name[sl]=Tiskanje
Name[sr]=Штампање
Name[sr@latin]=Štampanje
Name[sv]=Utskrifter
Name[ta]=அச்சிடுதல்
Name[te]=ముద్రించు
Name[th]=เครื่องพิมพ์
Name[tr]=Yazdırma
Name[uk]=Друк
Name[vi]=In ấn
Name[zh_CN]=打印
Name[zh_TW]=列印
Comment=Configure printers
Comment[ar]=اضبط الطابعات
Comment[as]=মুদ্ৰকৰ বিন্যাস কৰক
Comment[bg]=Настройка на принтерите
Comment[bn_IN]=প্রিন্টার কনফিগার করুন
Comment[bs]=Konfiguriranje pisača
Comment[ca]=Configuració d'impressores
Comment[cs]=Nastavit tiskárny
Comment[da]=Indstil printere
Comment[de]=Drucker konfigurieren
Comment[el]=Ρύθμιση εκτυπωτών
Comment[en_GB]=Configure printers
Comment[es]=Configurar impresoras
Comment[et]=Printerite seadistamine
Comment[fi]=Muokkaa tulostimien asetuksia
Comment[fr]=Configurer les imprimantes
Comment[gu]=પ્રિન્ટરો રૂપરેખાંકિત કરો
Comment[he]=הגדרת מדפסות
Comment[hi]=मुद्रक विन्यस्त करें
Comment[hr]=Konfiguriranje pisača
Comment[hu]=Nyomtatók beállítása
Comment[is]=Stilla prentara
Comment[it]=Configura le stampanti
Comment[ja]=プリンターの設定
Comment[kn]=ಮುದ್ರಕವನ್ನು ಸ್ವರೂಪಿಸು
Comment[ko]=프린터 설정
Comment[lv]=Printeru iestatīšana
Comment[ml]=പ്രിന്‍ററുകള്‍ സജ്ജമാക്കുക
Comment[mr]=मुद्रक व्यूहरचित करा
Comment[ms]=Tetapkan pencetak
Comment[nb]=Konfigurer skrivere
Comment[nl]=Printers configureren
Comment[nn]=Set opp skrivarar
Comment[or]=ମୁଦ୍ରଣୀ ମାନଙ୍କୁ ବିନ୍ଯାସ କରନ୍ତୁ
Comment[pa]=ਪਰਿੰਟਰ ਸੰਰਚਨਾ
Comment[pl]=Konfiguracja drukarek
Comment[pt]=Configurar impressoras
Comment[pt_BR]=Configure impressoras
Comment[ro]=Configurează imprimantele
Comment[ru]=Настроить принтеры
Comment[si]=මුද්‍රකයන් මානකරන්න
Comment[sk]=Konfigurovať tlačiarne
Comment[sr]=Подешавање штампача
Comment[sr@latin]=Podešavanje štampača
Comment[sv]=Konfigurera skrivare
Comment[ta]=அச்சடிப்பிகளை கட்டமைக்கவும்
Comment[te]=ముద్రకాలను ఆకృతీకరించు
Comment[th]=ตั้งค่าเครื่องพิมพ์
Comment[uk]=Налаштовування принтерів
Comment[vi]=Cấu hình máy in
Comment[zh_CN]=配置打印机
Comment[zh_TW]=設定印表機
Exec=gksu system-config-printer
Terminal=false
Type=Application
Icon=printer
StartupNotify=true
X-Desktop-File-Install-Version=0.16
Categories=Application;System;Settings;X-Zenpanel;
EOF

cat $buildir/manage-print-jobs.desktop > $dest/usr/share/applications/manage-print-jobs.desktop
cat $buildir/my-default-printer.desktop > $dest/usr/share/applications/my-default-printer.desktop

#------------------ Fix emblem printer default

cp -a $buildir/icons $dest/usr/share

#------------------ Prepare the documentation

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL README $dest/usr/doc/$soft-$softversion

#----------------- Make the slack-desc files

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                     |-----handy-ruler-----------------------------------------------------|
system-config-printer: system-config-printer - python-gtk2 printer administration tool
system-config-printer:
system-config-printer: This is a completely re-written system-config-printer.  It uses IPP
system-config-printer: to configure a CUPS server.
system-config-printer:
system-config-printer:
system-config-printer:
system-config-printer:
system-config-printer:
system-config-printer:
system-config-printer:
EODESC

#------------------ remove all *.pyc if is needed

cat << EOF > $dest/install/doinst.sh
rm -f usr/share/system-config-printer/*.pyc
EOF

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#------------------ Make the packages and the md5sum
cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5